# $Revision: 1.45 $, $Date: 2003/12/21 17:12:02 $
#
# Conditional build:
%bcond_with	alsa	# with ALSA; warning: SIGSEGV while using oss
#
Summary:	libmikmod - a portable sound library for Unix
Summary(es):	Biblioteca de sonidos libmikmod
Summary(fr):	Bibliothque sonore libmikmod
Summary(pl):	libmikmod - biblioteka do obsugi dwiku dla rnych Unixw
Summary(pt_BR):	Biblioteca de som libmikmod
Summary(ru):	  libmikmod
Summary(uk):	 ¦̦ libmikmod
Name:		libmikmod
Version:	3.1.10
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://www.mikmod.org/files/libmikmod/%{name}-%{version}.tar.gz
# Source0-md5: 14bf3f18cf0187f5dab46e42a3ddda84
Patch0:		%{name}-info.patch
Patch1:		%{name}-AC_LIBOBJ.patch
Patch2:		%{name}-am18.patch
URL:		http://www.mikmod.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gettext-devel >= 0.10.35-9
BuildRequires:	esound-devel
BuildRequires:	audiofile-devel
BuildRequires:	texinfo
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libmikmod2

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include mod, stm, s3m, mtm, xm, and it. Full
source included, use of this library for music/sound effects in your
own programs is encouraged !

%description -l es
Biblioteca de sonidos libmikmod.

%description -l fr
Une bibliothque sonore portable pour Unix et d'autres systmes,
capable de jouer aussi bien des effets sonores que des modules, sur un
grand choix de priphriques sonores.

%description -l pl
Biblioteka dwiku dla Unixa i innych systemw, umoliwiajca
odtwarzanie sampli i moduw dwikowych na wielu rodzajach urzdze
dwikowych.

Wspierane formaty plikw to midzy innymi mod, stm, s3m, mtm, xm i it.

%description -l pt_BR
Uma biblioteca de som porttil para o Unix e outros sistemas
operacionais, capaz de tocar samples agem de arquivos .mod, em uma
grande variedade de dispositivos de som.

%description -l ru
    *nix,    
MOD'     .

%description -l uk
  ¦̦  *nix,    
"̦"  ˦ ˦Ԧ  ϧ.

%package devel
Summary:	Libraries and include files to develop libmikmod applications
Summary(es):	Archivos de inclusin y bibliotecas para desarrollar aplicaciones libmikmod
Summary(fr):	Bibliothques et includes pour programmer pour libmikmod
Summary(pl):	Biblioteki i pliki nagwkowe dla libmikmod
Summary(pt_BR):	Arquivos de incluso e bibliotecas para desenvolver aplicaes libmikmod
Summary(ru):	.h-   libmikmod-
Summary(uk):	.h-   ,   libmikmod
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libmikmod2-devel

%description devel
Libraries and include files to develop libmikmod applications.

%description devel -l es
Archivos de inclusin y bibliotecas para desarrollar aplicaciones
libmikmod.

%description devel -l fr
Bibliothques et includes pour programmer pour libmikmod.

%description devel -l pl
Biblioteki i pliki nagwkowe do tworzenia aplikacji dla libmikmod.

%description devel -l pt_BR
Arquivos de incluso e bibliotecas para desenvolver aplicaes
libmikmod.

%description devel -l ru
.h-   libmikmod-.

%description devel -l uk
.h-   ,   libmikmod.

%package static
Summary:	Static libmikmod libraries
Summary(fr):	Bibliothques statiques libmikmod
Summary(pl):	Biblioteki statyczne libmikmod
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com libmikmod
Summary(ru):	    libmikmod-
Summary(uk):	Φ ¦̦   ,   libmikmod
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libmikmod libraries.

%description static -l fr
Bibliothques statiques libmikmod.

%description static -l pl
Biblioteki statyczne libmikmod.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com libmikmod.

%description static -l ru
    libmikmod-.

%description static -l uk
Φ ¦̦   ,   libmikmod.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/{config.*,missing} .
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	%{!?with_alsa:--disable-alsa}%{?with_alsa:--enable-alsa} \
	--enable-esd \
	--enable-oss
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libmikmod-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la

%{_mandir}/man1/libmikmod-config.1*
%{_infodir}/mikmod*
%{_includedir}/*
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmikmod.spec,v $
Revision 1.45  2003/12/21 17:12:02  qboosh
- fixed AC_LIBOBJ patch, added am18 patch (libmikmod.m4 quotation fix)
- new-style bcond, moved base docs to base, release 3

Revision 1.44  2003/12/01 02:33:33  undefine
- release 2 to rebuild with ac

Revision 1.43  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.42  2003/09/09 10:24:21  ankry
- spaces -> tab

Revision 1.41  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.40  2003/05/25 05:49:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2002/11/25 14:16:56  ankry
- massive attack: no need for 755 for *.la

Revision 1.38  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.37  2002/07/23 10:51:24  kloczek
- updated to 3.1.10 (only and many bugfix release),
- merged translations from KSI and Conectiva,
- new Source url and URL,
- added AC_LIBOBJ patch (for allow build using latest ac/am),
- texinfo added to BuildRequires list.

Revision 1.36  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.35  2002/06/04 08:15:58  wolf
- s/without_alsa/with_alsa/ (it segfaults when using oss only)

Revision 1.34  2002/05/21 23:13:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.33  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.30  2001/12/06 14:06:18  kloczek
- release 4.

Revision 1.29  2001/09/26 11:59:05  qboosh
- adapterized, BuildRequires: autoconf, automake, libtool

Revision 1.28  2001/08/10 23:17:44  agaran
ac-25 simple changes
should be ok

Revision 1.27  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.25  2001/05/22 09:06:27  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.24  2001/02/20 17:22:14  qboosh
- _without_alsa

Revision 1.23  2000/11/03 05:28:32  kloczek
- release 3: use new rpm automation.

Revision 1.22  2000/09/06 10:59:49  kloczek
- s/alsa-devel/alsa-lib-devel/

Revision 1.21  2000/09/06 10:31:24  kloczek
- release 2,
- adapterized.

Revision 1.20  2000/06/20 12:51:20  mis
- fix: fix-info-dir call is moved from %preun to the right section, %postun

Revision 1.19  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.18  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/06/07 03:01:13  kloczek
- spec adapterized.

Revision 1.16  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.15  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.14  2000/04/06 14:30:44  mis
- typos

Revision 1.13  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.11  2000/02/15 07:08:04  wiget
3.1.9

Revision 1.10  2000/01/30 21:20:02  kloczek
- disable "BuildRequires: alsa-devel" on sparc and sparc64.

Revision 1.9  1999/12/27 22:12:03  kloczek
- release 2.

Revision 1.8  1999/12/27 18:55:54  kloczek
- cocmetics.

Revision 1.7  1999/12/25 00:36:15  alchemyx
- added missing Buildrequires

Revision 1.6  1999/12/24 21:43:01  alchemyx
- updated URLs;

Revision 1.5  1999/11/09 02:16:12  pius
- typo corrected

Revision 1.4  1999/10/28 19:24:40  pius
- updated to 3.1.8

Revision 1.3  1999/10/13 20:58:13  kloczek
- new Summary (en, pl) and %description (en) from Linux Mandrake spec.

Revision 1.2  1999/10/13 19:28:59  kloczek
- cosmetics.

Revision 1.1  1999/10/13 11:40:02  pius
- spec file rewritten for PLD use
- updated to 3.1.7d
- added static subpackage
- standarized index info entries format

* Mon Aug 2 1999 Miodrag Vallat <miodrag@mikmod.darkorb.net>
- Added libmikmod-config manual page

* Mon Jun 28 1999 Miodrag Vallat <miodrag@mikmod.darkorb.net>
- Updated address

* Mon Feb 15 1999 Miodrag Vallat <miodrag@mikmod.darkorb.net>
- Created
